CSON = require('cson')
module.exports = {
  process: function (src, path) {
    var coffee = require('coffee-script')

    if (path.match(/\.cson$/)) {
      return CSON.parse(src)
    }


    if (coffee.helpers.isCoffee(path)) {
      return coffee.compile(src, {
        'bare': true,
        'inlineMap': true
      })
    }
    return src
  }
}
